Summary:	bitmap applications - bitmap (XBM) editor and converter utilities
Summary(pl.UTF-8):	Aplikacje bitmap - narzędzia do modyfikowania i konwersji bitmap (XBM)
Name:		xorg-app-bitmap
Version:	1.1.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/bitmap-%{version}.tar.xz
# Source0-md5:	1c34d91eb4568c92e40fb9e300c36281
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
# for dirs (only???)
Requires:	xorg-data-xbitmaps
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The bitmap program is a rudimentary tool for creating or editing
rectangular images made up of 1's and 0's. Bitmaps are used in X for
defining clipping regions, cursor shapes, icon shapes, and tile and
stipple patterns.

The bmtoa and atobm filters convert bitmap files to and from ASCII
strings. They are most commonly used to quickly print out bitmaps and
to generate versions for including in text.

%description -l pl.UTF-8
Program bitmap to podstawowe narzędzie do tworzenia i modyfikowania
prostokątnych obrazów złożonych z jedynek i zer. Bitmapy są używane
przez X do definiowania obszarów przycinania, kształtów kursorów,
kształtów ikon oraz wzorów kafli i punktowania.

Filtry bmtoa i atobm przekształcają pliki bitmap do i z łańcuchów
ASCII. Są najczęściej używane do szybkiego wypisywania bitmap i
generowania wersji do włączenia w tekst.

%prep
%setup -q -n bitmap-%{version}

# support __appmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__appmansuffix__/,.so man1/,' man/*.man

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/atobm
%attr(755,root,root) %{_bindir}/bitmap
%attr(755,root,root) %{_bindir}/bmtoa
%{_datadir}/X11/app-defaults/Bitmap*
%{_includedir}/X11/bitmaps/Dashes
%{_includedir}/X11/bitmaps/Down
%{_includedir}/X11/bitmaps/Excl
%{_includedir}/X11/bitmaps/FlipHoriz
%{_includedir}/X11/bitmaps/FlipVert
%{_includedir}/X11/bitmaps/Fold
%{_includedir}/X11/bitmaps/Left
%{_includedir}/X11/bitmaps/Right
%{_includedir}/X11/bitmaps/RotateLeft
%{_includedir}/X11/bitmaps/RotateRight
%{_includedir}/X11/bitmaps/Stipple
%{_includedir}/X11/bitmaps/Term
%{_includedir}/X11/bitmaps/Up
%{_mandir}/man1/atobm.1*
%{_mandir}/man1/bitmap.1*
%{_mandir}/man1/bmtoa.1*
%changelog
* Thu May 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-bitmap.git;a=log;h=master

* Thu May 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 708600f
- updated to 1.1.0

* Wed Feb 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 777701c
- updated to 1.0.9

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> a5ca19f
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 19 2015 Jakub Bogusz <qboosh@pld-linux.org> e94a409
- updated to 1.0.8

* Tue May 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 0d3a9fa
- updated to 1.0.7

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 50470ab
- updated to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 1c438b5
- dropped pre-cvs changelog

* Fri Oct 08 2010 Jakub Bogusz <qboosh@pld-linux.org> d98a8ea
- updated to 1.0.5

* Wed Oct 07 2009 Jakub Bogusz <qboosh@pld-linux.org> 833dc43
- updated util-macros version; explicit BR libXmu-devel
- added README to doc

* Wed Sep 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 850e076
- up to 1.0.4

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b51c4f2
- rel 4; fix build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c533b8
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 402f1d6
- release 3

* Mon Aug 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 2174bf5
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7a9475b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b919aad
- converted to UTF-8

* Sat Jan 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 7da59ad
- real descs from man

* Wed Jan 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ac3d557
- up to 1.0.3

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> b922b97
- more verbose files, release 1

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> b98a908
- updated to 1.0.2

